unit dmsdefs;
{ Definitionen fr DMS, Version 3.5 }
{ (C) 1989-90, Daniel Tietze        }

interface


type anystring = string[80];

const maxitems     = 50;
      config_name  = 'SETUP.DAT';


type shstring  = string[10];
     caller    = record
                   name,
                   day,                { Datum und Uhrzeit des Logoff }
                   time,
                   quote,              { Angegebene Bemerkung }
                   logoff : anystring; { Art des Logoff       }
                 end;
      person    = record
                   Name,
                   passwort,
                   rechner,
                   ort,
                   fachtitel : anystring;
                   eingetragen,             { Datum des Eintrags }
                   zuletzt   : shstring;    { Letzter Anruf }
                   terminal  : string[20];  { Terminalemulation }
                   anrufe,                  { Anzahl der Anrufe }
                   zeitlimit,               { Benutzerzeit  }
                   uploads,                 { In Kb }
                   downloads,
                   Status,
                   nummer  : integer;
                   flags   : array[1..10] of byte;
                 end;

{ Flags [1] : Bit 0 = ANSI eingeschaltet }
{             Bit 1 = Umlaute }
{             Bit 2 = PM-Automatik }
{             Bit 3 = Titel werden unterdrckt }
{             Bit 4 = CR }
{             Bit 5 = LF }
{             Bit 7 = Hilfstexte unterdrckt }

{ Flags [3] : Zeilen pro Seite (0=kein More) }
{ Flags [4] : Nummer der Umlautwandlung      }
{ Flags [6] : Bit 0 = FS-Editor eingeschaltet}
{             Bit 1 = Farbe eingeschaltet    }

    files    = record
                 name,
                 datum,
                 system,
                 von,
                 bemerkung : anystring;
                 abrufe    : integer;
                 frei      : boolean;  { Ist das Programm freigeschaltet ? }
                 bytes     : longint;
                 password  : string[10];  { Passwort fr Zugriff }
                 datei_typ : array[1..5] of byte; { Stichworte zur Datei  }
                 flags     : array[1..5] of byte;
                 { Fr sptere Erweiterungen }
               end;

    shorthand  = record
                  kuerzel : anystring;
                  langform : anystring;
                 end;
    message    = record
                   absender : anystring;
                   ab_nummer: integer;
                     { Nummer des Absenders. -1 = System }
                   betreff  : anystring;
                   datum    : shstring;
                   antworten: integer;
                   pos      : longint;
                   flags    : byte;
                 end;
{ Funktion der Message-Flags : }
{                              }
{ Bit 0 : Rckschein erwnscht (bei PM) }
{ Bit 1 : Nicht abgeschickt (cancel)    }

    status   = record
    { Werte, die sich laufend ndern, aber interessieren }
                 anrufer : longint;
                 anzahl  : integer;
                 uhrzeit,
                 rufnummer : anystring;
                 callers_per_hour : array[0..23] of integer;
                 { Anrufer nach Stunden }
               end;

    quotes   = record
                 wer,
                 quote : anystring;
               end;

    configuration = record  { Systemkonfiguration : }
                      system_name,       { Name des Systems }
                      sysop_name,        { User, der SYSOP-Msgs. erhlt }
                      welcome_message,
                      fs_editor,
                      r_path,            { Rubriken  }
                      p_path,            { PMs       }
                      h_path,            { Helplines }
                      f_path,            { Filebox   }
                      chat_path,         { Chat-Info-Files }
                      modem_init,        { Init-String }
                      modem_busy,        { Wird bei lokalem Login gesendet }
                      shutdown_string,   { bei Beendigung von DMS gesendet }
                      activity_log,      { Name des ACTIVITY-LOGs }
                      quote_file       : anystring;
                      connect,
                      connect_9600,
                      connect_1200,      { Zahlen fr CONNECT-Meldungen }
                      connect_2400     : string[20];
                      port             : char;        { '1' , '2', etc. }
                      start_paging,      { Rufzeit Anfang }
                      end_paging       : string[4];       { R-zeit Ende }
                      reset_modem,       { Soll das Modem nach CONNECT  }
                                         { neu initialisiert werden ?   }
                      progs_protected,   { Sollen Programme nach Upload }
                                         { gesperrt werden ?            }
                      inform_sysop,      { PM an SYSOP bei neuem User   }
                      answer_modem,
                      validate         : boolean;
                                         { Sysop muss User freischalten }
                      com_base,          { Basisaddr. des Com-Ports     }
                      ratio,             { UL-/DL-Ratio                 }
                      time_credit,       { Zeit-Bonus fr Uploads       }
                      sysop_mins,        { Anzahl der Minuten fr Sysop }
                      guest_mins,        { Minuten fr Gste            }
                      init_baud_rate,
                      maxmins          : integer;
                      com_port,          { Port-1 (COM1=0,COM2=1, etc)  }
                      start_level      : byte;  { Level fr neuen User  }
                      fb_password,       { Passwort fr neue Files      }
                      dial_command     : string[10];      { Whlbefehl  }
                      bflags           : array[1..10] of boolean;
                      { Boolean-Flags }
                      { bflags[1] : Baudrate fr Transferprotokolle }
                      {             TRUE : Echte B., FALSE : InitB. }
                      { bflags[2] : Direct Screen Output            }
                      {             TRUE: BIOS, FALSE: Direct       }
                      { bflags[3] : Ignore Carrier loss             }
                      {             TRUE: CD nicht wichtig          }
                      iflags           : array[1..5] of integer;
                      { Integer-Flags :                }
                      { [1] : Timeout-Zeit in Sekunden }
                      { [2] : Bodytext-Farbe           }
                      { [3] : Highlight-Farbe          }
                      { [5] : Underline-Farbe          }
                    end;

    msgtyp        = file of char;


implementation

end.
