*************[ REMAKE UTILITY FOR RBBS (C) Ken Goosens ]*****************
* RBBS is a full featured host communications package that supports     *
* a wide variety of environments and many capabilities.   Very few      *
* BBS's use all the features.   Some environments need to reduce        *
* the memory RBBS uses so that other tasks or more BBS's can be run.    *
*                                                                       *
* This is the driver for making the smallest EXE file necessary to      *
* support the RBBS functions desired on a board.  It works by letting   *
* the sysop specify the features to drop from RBBS and then generating  *
* smaller code and recompiling RBBS.                                    *
*                                                                       *
* RBBS is distributed with ALL functions fully supported so that one    *
* version can be used my nearly all users.  However, if you do not wish *
* to use all functions and need additional memory, then this driver     *
* can be configured to remake RBBS.  Note:  the code generated will not *
* be faster, just require less memory.                                  *
*                                                                       *
* To remake RBBS, you must have                                         *
*         o   BLED 2.1 or higher                                        *
*         o   A supported QuickBasic compiler.  The most reliable       *
*             are QB 2.01 and QB 3.0.   The one that requires the       *
*             least memory is QB 1.02.  QB 4.5 will work.               *
* --------------------[   Directions   ]------------------------------- *
* Use your favorite text editor (not word processing editor) and edit   *
* this file, changing the lines beginning with '*$' as desired.         *
*************************************************************************
* --Change to the appropriate environment you are using for multi-user
* --control.   The choices are
*      ON        - all supported
*      CORVUS    - Corvus Constellation
*      PCNET     - PC-Net (Orchid)
*      DESQVIEW  - DesqView
*      MULTILINK - Multi-Link
*      10NET     - DCA network (formerly 10-Net)
*      NETBIOS   - Netbios.  DOS SHARE or emulator for SHARE.
*      NONE      - single user system
* -- Limits multi-user code to just environment you need.
*$ SET MULTINODE = PCNET
* --------------------------------------------------
*$ IF MULTINODE = MULTILINK THEN SET MULTILINK = ON ELSE SET MULTILINK = OFF
*$ IF MULTINODE = NETBIOS THEN SET NETBIOS = ON ELSE SET NETBIOS = OFF
* --------------------------------------------------
* --Change to 'OFF' if not using File Management System
*$ SET FMS = ON
* --------------------------------------------------
* --Change to 'OFF' if not using personal downloading
*$ SET PERSDOWN = ON
* --------------------------------------------------
* --Change to 'OFF' if not using Library section
*$ SET LIBRARY = ON
* --------------------------------------------------
* --Change to 'OFF' if want Basic to handle all screen writes.
* --Sysop's local screen will not show color graphics if turn off.
*$ SET ASMANSI = ON
* --------------------------------------------------
* --Change to 'OFF' if not using any Questionnaires
*$ SET SURVEY = ON
* --------------------------------------------------
* --Change to 'OFF' if not using Programmable User Interface
*$ SET PUI = ON
* --------------------------------------------------
* --Change to 'OFF' if not using conferences
*$ SET CONFERENCE = ON
* --------------------------------------------------
* --Change to 'OFF' if not using Music
*$ SET MUSIC = ON
* --------------------------------------------------
* --Change to 'OFF' if not using external protocols for file transfer
*$ SET EXTERNAL = ON
* --------------------------------------------------
* --Change to 'OFF' if not supporting AUTODOWNLOAD (an extension
* -- of xmodem)
*$ SET AUTODOWN = ON
* --------------------------------------------------
* --Change to 'OFF' if not allowing 300 baud callers to shift up
* --to 450 baud
*$ SET BAUD450 = ON
* --------------------------------------------------
* --Change to 'OFF' if want sysop's opening screen merely to say
* --ready for calls.
*$ SET SYSMENU = ON
* --------------------------------------------------
* --Change to 'OFF' if not letting intermediate host computer echo
* --(either RBBS or caller's software echoes) and not doing line
* --acknowledges on ascii uploads
*$ SET ASCCODES = ON
* --------------------------------------------------
* --Change to 'OFF' if not using any field to individuate callers
* --(individuation lets different callers have same name)
*$ SET INDIVID = ON
* --------------------------------------------------
* --Change to 'OFF' if want reduced copyright message
*$ SET COPYRIGHT = ON
* --------------------------------------------------
* --Change to 'OFF' if want to limit sysop keyboard to chat, terminate
*$ SET SYSOPKEY = ON
* --------------------------------------------------
* --Change to 'OFF' if want to use only BASIC upper case routine
*$ SET ASMCAPS = ON
* --------------------------------------------------
* --Change to 'OFF' if want to remove sysop maintence functions (5)
*$ SET SYSMAINT = ON
* --------------------------------------------------
* --Change to 'OFF' if not using doors or dropping to dos
*$ SET DOORS = ON
* --------------------------------------------------
* --Change to 'OFF' using FMS only and limiting dir search to FMS
*$ SET OLDDIR = ON
* --------------------------------------------------
* --Change to 'OFF' if not limiting file exchange by byte counts or
*   ratios
*$ SET UPDWNRATIO = ON
* --------------------------------------------------
* --Change to 'OFF' if not using macros
*$ SET MACROS = ON
* --------------------------------------------------
* --Change to 'OFF' if NEVER want to get a security violation or deny access
*$ SET SECVIO = ON
* --------------------------------------------------
* --Change to 'OFF' if restricting search for 'ALL' to a particular file
*$ SET ALLDIR = ON
* --------------------------------------------------
* --Change to 'OFF' if do not want to be able to recover messages
*$ SET MSGRECOVER = ON
* --------------------------------------------------
* --Change to 'OFF' if do not want to be able to import messages on host
*$ SET MIMPORT = ON
* --------------------------------------------------
* --Change to 'OFF' if do not want conference mail check
*$ SET MAILCHK = ON
* --------------------------------------------------
* --Change to 'OFF' to disable ability to display callers file
*$ SET DISPCALL = ON
* --------------------------------------------------
* --Change to 'OFF' if RBBS never answers phone (front end answers)
*$ SET RBBSANS = ON
* --------------------------------------------------
* --Change to 'OFF' if not using SmartText
*$ SET SMARTTEXT = ON
* --------------------------------------------------
* --Change to 'OFF' if not using TimeLock
*$ SET TIMELOCK = ON
* --------------------------------------------------
* --Change to 'OFF' if not using AutoPage
*$ SET AUTOPAGE = ON
* --------------------------------------------------
* --Change to 'OFF' if not using exit to Timed Event
*$ SET TIMEEVENT = ON
* --------------------------------------------------
* --Change to 'OFF' if not using NetMail
*$ SET NETMAIL = ON
* --------------------------------------------------
* --Set to 'OFF' to use Basic routine to get drive free space
*$ SET ASMFREESP = ON
* --------------------------------------------------
* --Set to 'OFF' if want to handle all file views externally using shells
*$ SET VIEWINT = ON
* --------------------------------------------------
* --Change to 'OFF' if have no doors returning requests to RBBS
*$ SET DOORRTN = ON
* --------------------------------------------------
* --Change to 'OFF' if not letting callers select doors
*$ SET EXTDOORS = ON
* --------------------------------------------------
* --Change to 'OFF' if not using private doors (registration or
*      dooring to protocols) or dropping to DOS
*$ SET PRVDOORS = ON
* --------------------------------------------------
* --Change to 'OFF' if not using Fossil driver
*$ SET FOSSIL = ON
* --------------------------------------------------
* --Change to 'OFF' if want Basic to check for file's exitence
*$ SET ASMFFIND = ON
* --------------------------------------------------
* --Change to 'OFF' if want no error trapping on read of DEF file
*$ SET DEFERROR = ON
* --------------------------------------------------
* --Change to 'OFF' if doing no shelling (no shell to external protocols,
*   no verify upload, no external verbose list)
*$ SET SHELL = ON
* --------------------------------------------------
* --Change to 'OFF' if never dropping to DOS from remote
*$ SET DOSEXIT = ON
* --------------------------------------------------
* --Change to 'OFF' if never use questionnaire save
*$ SET QUESSAVE = ON
* --------------------------------------------------
* --Change to 'OFF' if not using speech synthesizer
*$ SET SPEECH = ON
* --------------------------------------------------
* --Change to 'OFF' if not running NOVELL
*$ SET NOVELL = ON
* --------------------------------------------------
* --Change to 'OFF' if do not want W)ho to operate
*$ SET WHOSON = ON
